Journeys
List legacy system automations
Returns configured email/SMS system automations, delivery health and the programs affected by shared sources. Returns 404 when the workspace system-automation bridge is disabled. Read access requires journeys_view, journeys_manage or beta_features; records remain organization scoped.
GET
/
admin
/
journeys
/
system-automations
List legacy system automations
curl --request GET \
--url https://api.gratona.com/v1/admin/journeys/system-automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/journeys/system-automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/journeys/system-automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/journeys/system-automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/journeys/system-automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/journeys/system-automations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/journeys/system-automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "program:42:new_donor",
"trigger": "new_donor",
"title": "New donor",
"plain_english_trigger": "New donor",
"audience": "Donors",
"scope_type": "program",
"scope_id": 123,
"scope_name": "Child Sponsorship",
"program_id": 42,
"program_label": "Child Sponsorship",
"emailset_id": 42,
"smsset_id": 42,
"channels": [
{
"channel": "email",
"available": false,
"configured": false,
"enabled": false,
"set_id": 42,
"set_name": "Example",
"template_id": 42,
"template_label": "Welcome",
"supports_variants": false,
"last_activity_at": "2026-10-20T12:00:00Z",
"last_status": "Example",
"recent_count": 42
}
],
"channel_mode": "email",
"configuration_status": "needs_setup",
"delivery_health": "recent_activity",
"recent_activity_at": "2026-10-20T12:00:00Z",
"recent_activity_channel": "Example",
"recent_activity_status": "Example",
"impacted_programs": [
{
"id": 42,
"name": "Child Sponsorship"
}
],
"blast_radius": 42,
"is_client_default": false,
"can_convert": false
}
],
"meta": {
"total": 42
}
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}⌘I
List legacy system automations
curl --request GET \
--url https://api.gratona.com/v1/admin/journeys/system-automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/journeys/system-automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/journeys/system-automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/journeys/system-automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/journeys/system-automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/journeys/system-automations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/journeys/system-automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "program:42:new_donor",
"trigger": "new_donor",
"title": "New donor",
"plain_english_trigger": "New donor",
"audience": "Donors",
"scope_type": "program",
"scope_id": 123,
"scope_name": "Child Sponsorship",
"program_id": 42,
"program_label": "Child Sponsorship",
"emailset_id": 42,
"smsset_id": 42,
"channels": [
{
"channel": "email",
"available": false,
"configured": false,
"enabled": false,
"set_id": 42,
"set_name": "Example",
"template_id": 42,
"template_label": "Welcome",
"supports_variants": false,
"last_activity_at": "2026-10-20T12:00:00Z",
"last_status": "Example",
"recent_count": 42
}
],
"channel_mode": "email",
"configuration_status": "needs_setup",
"delivery_health": "recent_activity",
"recent_activity_at": "2026-10-20T12:00:00Z",
"recent_activity_channel": "Example",
"recent_activity_status": "Example",
"impacted_programs": [
{
"id": 42,
"name": "Child Sponsorship"
}
],
"blast_radius": 42,
"is_client_default": false,
"can_convert": false
}
],
"meta": {
"total": 42
}
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}